Subject: Re: [sacm] Proposed Updates to the Structure of the Information Model Draft

From: Ira McDonald <[email-masked]>
Date: Wed, 26 Aug 2015 17:00:41 -0400

Hi,

I agree with Joseph that (specifically) DNS FQDN is more persistent and
meaningful
for device identity than any IPv4 or IPv6 address.  IETF reviewers
recommended that
I remove all IP address examples from my recent IPPS URI scheme (RFC 7472).

The underlying IPP/1.1 protocol (RFC 2910/2911) recommended strongly
against the
use of bare IP addresses for printer URI 15 years ago.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Wed, Aug 26, 2015 at 4:35 PM, Wolfkiel, Joseph L CIV DISA ID (US) <
[email-masked]> wrote:

> I disagree on the FQDN since it will tend to be persistent over time,
> while IP address may change due to DHCP updates as devices leave and return
> to a given network.  The binding of an IP address to a FQDN is not
> guaranteed or expected to be persistent.  In the matching logic that we
> have implemented, we have a higher confidence in FQDN than IP addresses.
> In practice, we will not claim to have identified a device based on IP
> address alone.
>
> That said, I'm not completely confident that FQDN should be tightly bound
> to an interface in the IM.  In our mixed environments, we collect both
> NetBIOS and DNS FQDNs.  The NetBIOS FQDNs are not directly related to any
> network interface, but the DNS FQDNs are associated with interfaces that
> are connected to a given domain.  So you can't say that FQDNs always behave
> the same, with respect to network relationships.  It's a matter of what
> type of FQDN you're discussing.
>
> In the NetD data model that we're using, FQDNs are directly related to the
> device object and not associated with a given network interface.
>
> Joseph L. Wolfkiel
> SCM Engineering Lead
> DISA ID52
> Work: (301) 225-8820
> Gov Cell: (571) 814-8231
> [email-masked]
>
>
>
>